<?php
defined('BASEPATH') or exit('No direct script access allowed');

class Anasayfa extends MY_Controller
{

    public function __construct()
    {
        parent::__construct();

        $this->load->model('ekstrasayfalar_model');
        $this->load->model('kategoriler_model');
        $this->load->model('products_model');
        $this->load->model('imageupload_model');
        $this->load->model('markalar_model');

        $this->load->helper('text_helper');

    }

    public function index()
    {

        $viewData = new stdClass();


         $franchise = $this->ekstrasayfalar_model->get
        (
            array
            (
               "icerikkodu" => "kurumsal_anasayfa_tek",
               "isActive"   => 1
            ), "rank ASC"
        );

        $blogs = $this->ekstrasayfalar_model->get_all
        (
            array
            (
               "icerikkodu" => "blog",
               "isActive"   => 1
            ), "rank ASC"
        );


        $referanslar = $this->ekstrasayfalar_model->get_all
        (
            array
            (
               "icerikkodu" => "referanslar",
               "isActive"   => 1
            ), "rank ASC"
        );


        $anasayfayazi = $this->ekstrasayfalar_model->get
        (
            array
            (
               "icerikkodu" => "kurumsal_anasayfa_tek",
               "isActive"   => 1
            ), "rank ASC LIMIT 0,1"
        );


        $musteriler = $this->markalar_model->get_all
        (
            array
            (
               "isactive"   => 1
            ), "rank ASC"
        );


         
        $itemsSlider = $this->imageupload_model->get_all
        (
            array
            (
               "kind" => "slider",
               "isActive"   => 1
            ), "rank ASC"
        );

      
        $viewData->slider = $itemsSlider;
        $viewData->blogs = $blogs;
        $viewData->musteriler = $musteriler;
        $viewData->referanslar = $referanslar;
        $viewData->anasayfayazi = $anasayfayazi;
        $viewData->urunler_footer = $this->urunler_footer;
        $viewData->kurumsal_footer = $this->hizmetler_footer;
        $viewData->sayfa = "anasayfa";
        $viewData->nerdengeliyorum = "";


        $this->load->view('frontend/anasayfa', $viewData);
    }
}
